Subject: [Modern] modern meeting discussion

From: "Peterson, Jon" <[email-masked]>
Date: Sun, 16 Jul 2017 12:20:34 +0000

For the MODERN meeting this time, Chris Wendt and I put our heads together to try to come up with a more concrete use case that would have some immediate applicability to the industry. Lately there has been some talk in North America recently about ways to share data structures that will let carriers know if a number is invalid or unallocated, so that abusive calls from numbers that simply shouldn't be able to originate at all can be blocked or otherwise given special treatment.

Taking that as the sort of thing we hope MODERN could address, we put together this TeRI data structure for expressing that numbers are valid and allocated  - this is a "whitelist" sort of approach to the problem, as it seemed easier to us to share a list of numbers that are valid than it is to come up with all the different ways that someone might try to structure an invalid number. This is intended primarily for use with number ranges, though for some existing use cases (like freephone), assignment of individual numbers is what matters, and that is probably true of some of our future use cases here (like DRiP) as well.

https://tools.ietf.org/html/draft-peterson-modern-teri-valid-00

To get this into shape, I also did a bit more work fleshing out parts of TeRI, which has also been revised for the meeting, and I'll talk a bit about that as well on Friday.

Jon Peterson
Neustar, Inc.